Changes between Version 21 and Version 22 of Compiling


Ignore:
Timestamp:
Sep 10, 2010, 8:16:07 PM (8 years ago)
Author:
Bryan Drewery
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Compiling

    v21 v22  
    2121 * distcc/ccache are supported
    2222 * Binary compatibility
    23   * Binaries compiled on FreeBSD 5/6/7/8 will NOT work on FreeBSD 4, skirting around this and compiling on FreeBSD 4 will render the [wiki:Updating update] process useless and will result in a headache later.
    24   * Encourage your admins to upgrade instead, as it's likely if you are on a FreeBSD 4, 5, <6.4, < 7.1 server, it is vulnerable to exploitation.
     23  * Compile your binary on the oldest version of the OS you want to support. Ie, compile on FreeBSD 6 if you have FreeBSD 6 shells, and use that binary on FreeBSD 8 along with misc/compat6x installed.
    2524 * Wraith has only been tested on Linux/FreeBSD/OpenBSD, any deviation from this is unsupported at this time.
    2625